## org.mortbay.jetty.ant.types
Class FileMatchingConfiguration

    java.lang.Object
      org.mortbay.jetty.ant.types.FileMatchingConfiguration

    public class FileMatchingConfiguration

extends Object

Describes set of files matched by <fileset/> elements in ant configuration file. It is used to group application classes, libraries, and scannedTargets elements.

Author:
  Jakub Pawlowicz

Constructor Summary
`FileMatchingConfiguration()`

Method Summary
`void` `addDirectoryScanner(org.apache.tools.ant.DirectoryScanner directoryScanner)`
`List` `getBaseDirectories()`
`boolean` `isIncluded(String pathToFile)` Checks if passed file is scanned by any of the directory scanners.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileMatchingConfiguration

    public FileMatchingConfiguration()

Method Detail

### addDirectoryScanner

    public void addDirectoryScanner(org.apache.tools.ant.DirectoryScanner directoryScanner)

  Parameters:
    `directoryScanner` - new directory scanner retrieved from the <fileset/> element.

### getBaseDirectories

    public List getBaseDirectories()

  Returns:
    a list of base directories denoted by a list of directory scanners.

### isIncluded

    public boolean isIncluded(String pathToFile)

  Checks if passed file is scanned by any of the directory scanners.

  Parameters:
    `pathToFile` - a fully qualified path to tested file.
  Returns:
    true if so, false otherwise.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.